import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import { createPinia } from 'pinia';
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'; // 引入中文语言包
import i18n from './i18n'

// createApp(App).use(store).use(router).mount('#app')


const app = createApp(App);
// app.use(ElementPlus, {
//     locale: zhCn, // 配置中文
// });
app.use(i18n) // 注册 i18n
app.use(ElementPlus)      // 注册 ElementPlus
app.use(createPinia()); // 注册 Pinia
app.use(store); // 注册 store
app.use(router); // 注册 router
app.mount('#app');

